Bug 181044 - Problems with devel/boost-libs
Summary: Problems with devel/boost-libs
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Office Team (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-05 05:10 UTC by Pedro F. Giffuni
Modified: 2015-02-13 14:49 UTC (History)
2 users (show)

See Also:


Attachments
file.diff (2.82 KB, patch)
2013-08-05 05:10 UTC, Pedro F. Giffuni
no flags Details | Diff
patch-boost-include_next.txt (1.94 KB, patch)
2014-03-02 20:12 UTC, Pedro F. Giffuni
no flags Details | Diff
Update boost patch (1.94 KB, patch)
2014-08-23 19:31 UTC, Pedro F. Giffuni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni 2013-08-05 05:10:00 UTC
While doing development on apache OpenOffice I noticed:

1) We actually lack long double support: This depends on
some more C99 support that we currently don't have but is being worked on. 

2) We have problems with #include_next. This support is rarely used
and it went undetected in FreeBSD and OS2 (at least). The issue
was reported upstream as issue #8944.

Fix: - For the time being we should remove:
files/patch-freebsd-has-long-double
- The patch from issue #8944 has been committed upstream.

I understand an update on the port is being worked on.
For convenience I submit here my patch to fix both issues.  

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-08-05 05:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->office

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Baptiste Daroussin freebsd_committer 2014-02-07 11:49:00 UTC
I Think I have addressed all the issues here?

Can you confirm?

regards,
Bapt
Comment 3 Pedro F. Giffuni freebsd_committer 2014-02-08 04:29:17 UTC
With the recent boost update I think this PR can be closed.
Comment 4 Pedro F. Giffuni freebsd_committer 2014-02-08 04:41:31 UTC
State Changed
From-To: open->closed

Fixed with boost update
Comment 5 Pedro F. Giffuni freebsd_committer 2014-03-02 20:13:04 UTC
State Changed
From-To: closed->open

re-open: The change in boost/tr1/detail/config.hpp 
is still required to build OpenOffice with boost as an 
external dependency.
Comment 6 Pedro F. Giffuni freebsd_committer 2014-08-23 19:31:27 UTC
Created attachment 146187 [details]
Update boost patch
Comment 7 Baptiste Daroussin freebsd_committer 2014-08-26 05:50:24 UTC
Have you upstreamed that change? if yes can you point me to the upstream PR number?
Comment 8 Don Lewis freebsd_committer 2014-08-26 06:00:41 UTC
(In reply to Pedro F. Giffuni from comment #6)
> Created attachment 146187 [details]
> Update boost patch

Probably works with our old gcc in base (didn't try), but does not work with gcc47 from ports.  Supporting both looks doable.
Comment 9 Pedro F. Giffuni freebsd_committer 2015-02-13 14:49:38 UTC
(In reply to Don Lewis from comment #8)

The patch is already upstream and it is not very relevant anymore since it only works for the older gcc. I suggest just closing this and focusing on updating boost which is already 2 releases behind.